package com.yongqi.xinrenli.service;

import com.yongqi.xinrenli.domain.DbWxUser;
import com.yongqi.xinrenli.domain.vo.DbWxUserVo;
import com.yongqi.xinrenli.domain.bo.DbWxUserBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 微信用户Service接口
 *
 * @author zyf
 * @date 2023-03-09
 */
public interface IDbWxUserService {

    /**
     * 查询微信用户
     */
    DbWxUserVo queryById(Long id);

    /**
     * 查询微信用户列表
     */
    TableDataInfo<DbWxUserVo> queryPageList(DbWxUserBo bo, PageQuery pageQuery);

    /**
     * 查询微信用户列表
     */
    List<DbWxUserVo> queryList(DbWxUserBo bo);

    /**
     * 新增微信用户
     */
    Boolean insertByBo(DbWxUserBo bo);

    /**
     * 修改微信用户
     */
    Boolean updateByBo(DbWxUserBo bo);

    /**
     * 校验并批量删除微信用户信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
